## AgsScaleBox

AgsScaleBox — box widget

## Stability Level

Stable, unless otherwise indicated

## Functions

GList * | ags_scale_box_get_scale ()
void | ags_scale_box_add_scale ()
void | ags_scale_box_remove_scale ()
void | ags_scale_box_child_width_request ()
void | ags_scale_box_child_height_request ()
AgsScaleBox * | ags_scale_box_new ()

## Signals

void | child-height-request | Run Last
void | child-width-request | Run Last

## Types and Values

#define | AGS_SCALE_BOX_DEFAULT_SPACING

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkBox
                    ╰── AgsScaleBox

## Includes

    #include <ags/widget/ags_scale_box.h>

## Description

The AgsScaleBox is a box widget containing AgsScale.

## Functions

### ags_scale_box_get_scale ()

    GList *
    ags_scale_box_get_scale (AgsScaleBox *scale_box);

Get scale.

#### Parameters

scale_box | the AgsScaleBox |

#### Returns

the GList containing AgsScale.

[element-type AgsGui.Scale][transfer container]

Since: 4.0.0

### ags_scale_box_add_scale ()

    void
    ags_scale_box_add_scale (AgsScaleBox *scale_box,
                             AgsScale *scale);

Add `scale` to `scale_box` .

#### Parameters

scale_box | the AgsScaleBox |
scale | the AgsScale |

Since: 4.0.0

### ags_scale_box_remove_scale ()

    void
    ags_scale_box_remove_scale (AgsScaleBox *scale_box,
                                AgsScale *scale);

Remove `scale` from `scale_box` .

#### Parameters

scale_box | the AgsScaleBox |
scale | the AgsScale |

Since: 4.0.0

### ags_scale_box_child_width_request ()

    void
    ags_scale_box_child_width_request (AgsScaleBox *scale_box,
                                       GtkWidget *scale,
                                       gint width_request);

Notify about child scale width request.

#### Parameters

scale_box | the AgsScaleBox |
scale | the AgsScale |
width_request | the scale's width-request |

Since: 4.0.0

### ags_scale_box_child_height_request ()

    void
    ags_scale_box_child_height_request (AgsScaleBox *scale_box,
                                        GtkWidget *scale,
                                        gint height_request);

Notify about child scale height request.

#### Parameters

scale_box | the AgsScaleBox |
scale | the AgsScale |
height_request | the scale's height-request |

Since: 4.0.0

### ags_scale_box_new ()

    AgsScaleBox *
    ags_scale_box_new (GtkOrientation orientation);

Create a new instance of AgsScaleBox.

#### Parameters

orientation | the GtkOrientation |

#### Returns

the new AgsScaleBox instance

Since: 3.0.0

## Types and Values

### AGS_SCALE_BOX_DEFAULT_SPACING

    #define AGS_SCALE_BOX_DEFAULT_SPACING (8)

## Signal Details

### The `“child-height-request”` signal

    void
    user_function (AgsScaleBox *scale_box,
                   GObject     *scale,
                   int          height_request,
                   gpointer     user_data)

The ::child-height-request

#### Parameters

scale_box | the AgsScaleBox. |
scale | the AgsScale |
height_request | the scale's height-request |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 4.0.0

### The `“child-width-request”` signal

    void
    user_function (AgsScaleBox *scale_box,
                   GObject     *scale,
                   int          width_request,
                   gpointer     user_data)

The ::child-width-request

#### Parameters

scale_box | the AgsScaleBox. |
scale | the AgsScale |
width_request | the scale's width-request |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 4.0.0